Subject: Re: [PATCH v2 0/6] Implement split core for POWER8

From: Alexander Graf <[email-masked]>
Date: Fri, 23 May 2014 11:53:17 +0200

On 23.05.14 10:15, Michael Neuling wrote:
> This patch series implements split core mode on POWER8.  This enables up to 4
> subcores per core which can each independently run guests (per guest SPRs like
> SDR1, LPIDR etc are replicated per subcore).  Lots more documentation on this
> feature in the code and commit messages.
>
> Most of this code is in the powernv platform but there's a couple of KVM
> specific patches too.
>
> Patch series authored by mpe and me with a few bug fixes from others.
>
> v2:
>    There are some minor updates based on comments and I've added the Acks by
>    Paulus and Alex for the KVM code.

I don't see changelogs inside the individual patches. Please make sure 
to always mention what changed from one version to the next in a 
particular patch, so that I have the chance to check whether that change 
was good :).

Also, is there any performance penalty associated with split core mode? 
If not, could we just always default to split-by-4 on POWER8 bare metal?

Alex